REM ============================================================
REM FILE: Build.bat
REM DESC: This File will Build the Applet
REM ============================================================

REM ------------------------------------------------------------
REM SET environment variables.
REM ------------------------------------------------------------

SET CLASSPATH=

REM ------------------------------------------------------------
REM CREATE CLASS Directories
REM ------------------------------------------------------------

MKDIR cmn
MKDIR gui
MKDIR math
MKDIR plot
MKDIR util

MKDIR seismic
MKDIR seismic\gui
MKDIR seismic\io
MKDIR seismic\math
MKDIR seismic\plot

MKDIR edu

MKDIR edu\iris
MKDIR edu\iris\dmc
MKDIR edu\iris\dmc\seedcodec

MKDIR edu\iris\dmc\timeseries
MKDIR edu\iris\dmc\timeseries\model

MKDIR edu\sc
MKDIR edu\sc\seis
MKDIR edu\sc\seis\seisFile
MKDIR edu\sc\seis\seisFile\mseed

REM ------------------------------------------------------------
REM COPY the Source Code to the CLASS Directories
REM ------------------------------------------------------------

COPY src\*.java .

COPY src\cmn\*.java cmn
COPY src\gui\*.java gui
COPY src\math\*.java math
COPY src\plot\*.java plot
COPY src\util\*.java util

COPY src\seismic\*.java seismic
COPY src\seismic\gui\*.java seismic\gui
COPY src\seismic\io\*.java seismic\io
COPY src\seismic\math\*.java seismic\math
COPY src\seismic\plot\*.java seismic\plot

COPY src\edu\iris\dmc\seedcodec\*.java edu\iris\dmc\seedcodec
COPY src\edu\iris\dmc\timeseries\model\*.java edu\iris\dmc\timeseries\model

COPY src\edu\sc\seis\seisFile\*.java edu\sc\seis\seisFile
COPY src\edu\sc\seis\seisFile\mseed\*.java edu\sc\seis\seisFile\mseed

REM ------------------------------------------------------------
REM COMPILE 
REM ------------------------------------------------------------

C:\jdk1.7.0_25\bin\javac -Xlint:deprecation Seismic.java

REM ------------------------------------------------------------
REM REMOVE Source Code from the CLASS Directories
REM ------------------------------------------------------------

DEL *.java

DEL cmn\*.java
DEL gui\*.java
DEL math\*.java
DEL plot\*.java
DEL util\*.java

DEL seismic\*.java
DEL seismic\gui\*.java
DEL seismic\io\*.java
DEL seismic\math\*.java
DEL seismic\plot\*.java

DEL edu\iris\dmc\seedcodec\*.java
DEL edu\iris\dmc\timeseries\model\*.java

DEL edu\sc\seis\seisFile\*.java
DEL edu\sc\seis\seisFile\mseed\*.java

REM ------------------------------------------------------------
REM BUILD JAR File for the LAS Plot
REM ------------------------------------------------------------

DEL Seismic.txt

C:\jdk1.7.0_25\bin\jar cvfm Seismic.jar Manifest.txt *.class cmn gui math plot util seismic edu images
C:\jdk1.7.0_25\bin\jar tvf Seismic.jar > Seismic.txt

MOVE Seismic.jar lib

REM ------------------------------------------------------------
REM CLEAN UP
REM ------------------------------------------------------------

DEL cmn /q
DEL gui /q
DEL math /q
DEL plot /q
DEL util /q

DEL seismic /q
DEL seismic\gui /q
DEL seismic\io /q
DEL seismic\math /q
DEL seismic\plot /q

DEL edu\iris\dmc\seedcodec /q
DEL edu\iris\dmc\timeseries\model /q

DEL edu\sc\seis\seisFile\mseed /q
DEL edu\sc\seis\seisFile /q

RMDIR cmn
RMDIR gui
RMDIR math
RMDIR plot
RMDIR util

RMDIR seismic\gui
RMDIR seismic\io
RMDIR seismic\math
RMDIR seismic\plot
RMDIR seismic 

RMDIR edu\iris\dmc\timeseries\model
RMDIR edu\iris\dmc\timeseries

RMDIR edu\iris\dmc\seedcodec
RMDIR edu\iris\dmc
RMDIR edu\iris

RMDIR edu\sc\seis\seisFile\mseed
RMDIR edu\sc\seis\seisFile
RMDIR edu\sc\seis
RMDIR edu\sc
RMDIR edu

DEL *.class



