/*
 * @seisStandardTools.java Version 1.1 03/04/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package seismic;

/** Class seisStandardTools
 *  <p> This Class holds the standard tool information to map the seismic log
 *      curves to standard names for plotting.
 */

public class seisStandardTools
{
  public static final int _SEIS     = 0;
  public static final int _AVG      = 1;
  public static final int _MAG      = 2;
  public static final int TOTAL     = 3;

  public static final String CURVES[][] =
  {
    {"SEIS", "Seismic Data",           "Counts", "-100", "100"},
    {"AVG",  "Averaged Seismic Data",  "Counts", "-100", "100"},
    {"MAG",  "Magnitude Seismic Data", "Counts", "0",    "100"},
  };
}
/*
 *  @version 1.1 03/04/2015
 *  @author  John Victorine
 */
